Անհատական դոմեյններ

GET https://tistos.com/api/domains/available
curl --request GET \
--url 'https://tistos.com/api/domains/available' \
--header 'Authorization: Bearer {api_key}' \
Պարամետրեր Մանրամասներ Նկարագրություն
search ընտրովի Տող Որոնման տողը:
search_by ընտրովի Տող Որ ոլորտով եք փնտրում: Թույլատրված արժեքները են: host.
datetime_field ընտրովի Տող Թույլատրված արժեքներ: datetime, last_datetime
datetime_start ընտրովի Տող Ֆիլտրել արդյունքները այս ամսաթվից և ժամից սկսած։ Ձևաչափ՝ Y-m-d H:i:s։
datetime_end ընտրովի Տող Ֆիլտրել արդյունքները մինչև այս ամսաթիվն ու ժամը։ Ձևաչափ՝ Y-m-d H:i:s։
order_by ընտրովի Տող Որ ոլորտում պատվիրել արդյունքները: Թույլատրված արժեքները՝ domain_id, datetime, last_datetime, host.
order_type ընտրովի Տող Արդյունքների դասավորությունը: Թույլատրված արժեքները են: ASC աճող դասավորության համար, և DESC նվազող դասավորության համար:
page ընտրովի Ամբողջ թիվ Էջի համար, որի արդյունքները ցանկանում եք: Դեֆոլտ է 1.
results_per_page ընտրովի Ամբողջ թիվ Քանի արդյունք եք ցանկանում յուրաքանչյուր էջում։ Թույլատրված արժեքները՝ 10, 25, 50, 100, 250, 500, 1000։ Դեֆոլտը՝ 25։
{
    "data": [
        {
            "id": 1,
            "type": 0,
            "scheme": "https://",
            "host": "example.com",
            "custom_index_url": "",
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-07-18 19:30:17",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://tistos.com/api/domains/available?page=1",
        "last": "https://tistos.com/api/domains/available?page=1",
        "next": null,
        "prev": null,
        "self": "https://tistos.com/api/domains/available?page=1"
    }
}
GET https://tistos.com/api/domains/
curl --request GET \
--url 'https://tistos.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
Պարամետրեր Մանրամասներ Նկարագրություն
search ընտրովի Տող Որոնման տողը:
search_by ընտրովի Տող Որ ոլորտով եք փնտրում: Թույլատրված արժեքները են: host.
is_enabled ընտրովի Բուլյան
datetime_field ընտրովի Տող Թույլատրված արժեքներ: datetime, last_datetime
datetime_start ընտրովի Տող Ֆիլտրել արդյունքները այս ամսաթվից և ժամից սկսած։ Ձևաչափ՝ Y-m-d H:i:s։
datetime_end ընտրովի Տող Ֆիլտրել արդյունքները մինչև այս ամսաթիվն ու ժամը։ Ձևաչափ՝ Y-m-d H:i:s։
order_by ընտրովի Տող Որ ոլորտում պատվիրել արդյունքները: Թույլատրված արժեքները՝ domain_id, datetime, last_datetime, host.
order_type ընտրովի Տող Արդյունքների դասավորությունը: Թույլատրված արժեքները են: ASC աճող դասավորության համար, և DESC նվազող դասավորության համար:
page ընտրովի Ամբողջ թիվ Էջի համար, որի արդյունքները ցանկանում եք: Դեֆոլտ է 1.
results_per_page ընտրովի Ամբողջ թիվ Քանի արդյունք եք ցանկանում յուրաքանչյուր էջում։ Թույլատրված արժեքները՝ 10, 25, 50, 100, 250, 500, 1000։ Դեֆոլտը՝ 25։
{
    "data": [
        {
            "id": 1,
            "scheme": "https://",
            "host": "example.com",
            "custom_index_url": "",
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-07-18 19:30:17",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://tistos.com/api/domains?page=1",
        "last": "https://tistos.com/api/domains?page=1",
        "next": null,
        "prev": null,
        "self": "https://tistos.com/api/domains?page=1"
    }
}
GET https://tistos.com/api/domains/{domain_id}
curl --request GET \
--url 'https://tistos.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "scheme": "https://",
        "host": "example.com",
        "custom_index_url": "",
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-07-18 19:30:17",
    }
}
POST https://tistos.com/api/domains
Պարամետրեր Մանրամասներ Նկարագրություն
host Պահանջվում է Տող -
custom_index_url ընտրովի Տող -
custom_not_found_url ընտրովի Տող -
curl --request POST \
--url 'https://tistos.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
    "data": {
        "id": 1
    }
}
POST https://tistos.com/api/domains/{domain_id}
Պարամետրեր Մանրամասներ Նկարագրություն
host ընտրովի Տող -
custom_index_url ընտրովի Տող -
custom_not_found_url ընտրովի Տող -
curl --request POST \
--url 'https://tistos.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
    "data": {
        "id": 1
    }
}
DELETE https://tistos.com/api/domains/{domain_id}
curl --request DELETE \
--url 'https://tistos.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \